Bug 446475 - Anaconda fails to install grub on dual boot sys with altered OS labels
Anaconda fails to install grub on dual boot sys with altered OS labels
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 14:46 EDT by Jonas Nyman
Modified: 2008-08-04 11:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 11:25:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Nyman 2008-05-14 14:46:04 EDT
Description of problem:

An unhandled exception occured in anaconda when grub was about to be installed.
My system i a HP pavilion tx1000 and I was trying to create a dual boot system.
So I have a partition with Windows vista installed by manufacturer. This
partition /dev/sda1 was resized and Fedora 9 was installed on /dev/sda2 or sda3.
I changed the system labels from "Other" to Windows Vista" and "Fedora" to
"Fedora 9". Grub was set to install on /dev/sda.

A long error message was displayed but I was unable to save it. I had to redo
the installation from scratch. 

The next time I did not try to resize the partitions with the anaconda installer
but did it in Windows. And I did not change the OS labels and then everything
worked fine. 

Version-Release number of selected component (if applicable):
Fedora 9 x86-64

How reproducible:
Unknown

Steps to Reproduce:
1. Install Fedora on dual boot system 
2. change OS label from "Other" to anything
3.
  
Actual results:
Unhandled exception and crash

Expected results:
Grub to be installed with two OSs with any labels

Additional info:
Comment 1 Chris Lumens 2008-05-15 13:17:28 EDT
Please attach the complete exception message to this bug report so we can figure
out what went wrong and where.  If you are unable to save it, please at least
attach a picture showing the first part of the exception (the traceback itself).
 Thanks.
Comment 2 Brennan Ashton 2008-06-07 23:42:58 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Note You need to log in before you can comment on or make changes to this bug.